spandsp 0.0.6

gsm0610_rpe.c File Reference
`#include <assert.h>`
`#include <inttypes.h>`
`#include "floating_fudge.h"`
`#include <stdlib.h>`
`#include "mmx_sse_decs.h"`
`#include "spandsp/telephony.h"`
`#include "spandsp/fast_convert.h"`
`#include "spandsp/bitstream.h"`
`#include "spandsp/saturated.h"`
`#include "spandsp/gsm0610.h"`
`#include "gsm0610_local.h"`

## Macros
#define | STEP(i, H)
#define | STEP(m, i)

## Functions
void | gsm0610_rpe_encoding (gsm0610_state_t *s, int16_t *e, int16_t *xmaxc, int16_t *Mc, int16_t xMc[13])
void | gsm0610_rpe_decoding (gsm0610_state_t *s, int16_t xmaxc, int16_t Mcr, int16_t xMcr[13], int16_t erp[40])

## Macro Definition Documentation

## ◆ STEP [1/2]

#define STEP | ( |  | i,
|  |  | H )

Value:
(e[k + i] * (int32_t) H)

## ◆ STEP [2/2]

#define STEP | ( |  | m,
|  |  | i )

Value:
L_temp = x[m + 3*i] >> 2; \
L_result += L_temp*L_temp;